class OuterClass{
	private int oa=1;
	public void outerFunc(){
		public class InnerClass{//public是非法的
			int b=10;
			public void innerFunc(int m, final int n){
				static int si=10; //static是非法的
				int ia=m+n;
				final int ib=m-n;				
				System.out.println("oa:="+oa);
				System.out.println("m:="+m);
				System.out.println("ia:="+ia);
				System.out.println("ib:="+ib);
			}
		}//InnerClass
		
		InnerClass c=new InnerClass();//实例化内部类
		c.innerFunc(1,2);
	}

	//测试
	public static void main(String[] args){
		OuterClass out=new OuterClass();
		out.outerFunc();
	}
}
